<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.HomeCommunityId']}</h1>
        <gri:panel id="globalPanel" style="width:100%;height:100%;">
            <h:form id="homeCommunitySearch" styleClass="edit">
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.simu.SearchCriteria']}</ui:define>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="countryCode"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.CountryCode']}</ui:define>
                                <h:inputText id="countryCode" value="#{homeCommunityList.homeCommunity.countryCode}"
                                             styleClass="form-control">
                                    <a4j:ajax event="blur" render="homeCommunitySearch,homeCommunityTable" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                        </div>
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="homeCommunityID"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HomeCommunityID_2']}</ui:define>
                                <h:inputText id="homeCommunityID" value="#{homeCommunityList.homeCommunity.homeCommunityID}"
                                             styleClass="form-control">
                                    <a4j:ajax event="blur" render="homeCommunitySearch,homeCommunityTable" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                         render="homeCommunitySearch,homeCommunityTable">
                            <span class="fa fa-refresh"/>
                        </a4j:commandLink>

                        <a4j:commandLink actionListener="#{homeCommunityList.resetFilter()}"
                                         title="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}" type="submit"
                                         execute="@this" render="homeCommunitySearch,homeCommunityTable">
                            <span class="fa fa-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>
            </h:form>
            <h:form id="homeCommunityTable">
                <gri:panel id="tablePanel">
                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.HomeCommunity_2']}
                        #{messages['net.ihe.gazelle.xdstar.SearchResults']}
                        (#{empty homeCommunityList.resultList ? 0 : (homeCommunityList.paginated ? homeCommunityList.resultCount : homeCommunityList.resultList.size)})
                    </f:facet>
                    <div class="results" id="homeCommunityList">
                        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.NotResultsFound']}"
                                      rendered="#{empty homeCommunityList.resultList}"/>
                        <rich:dataTable id="homeCommunityList" var="_homeCommunity"
                                        value="#{homeCommunityList.resultList}"
                                        rendered="#{not empty homeCommunityList.resultList}"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="ds">
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ID']}</ui:define>
                                <h:outputText value="#{_homeCommunity.id}"/>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.CountryCode_3']}</ui:define>
                                <h:outputText value="#{_homeCommunity.countryCode}"/>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.HomeCommunityID_4']}
                                </ui:define>
                                <h:outputText value="#{_homeCommunity.homeCommunityID}"/>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
                                <s:link view="/admin/homeCommunity/HomeCommunityEdit.xhtml"
                                        propagation="none" id="homeCommunityEdit" rendered="#{empty from}">
                                    <f:param name="homeCommunityId" value="#{_homeCommunity.id}"/>
                                    <span class="gzl-icon-pencil"/>
                                </s:link>
                                <s:link view="/admin/homeCommunity/#{empty from ? 'HomeCommunity' : from}.xhtml"
                                        propagation="#{empty from ? 'none' : 'default'}"
                                        id="homeCommunityViewId">
                                    <f:param name="homeCommunityId" value="#{_homeCommunity.id}"/>
                                    <s:span styleClass="gzl-icon-search "/>
                                </s:link>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="homeCommunityList"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                        <h:commandLink value="#{messages['net.ihe.gazelle.xdstar.ExportAsExcel']}"
                                       action="#{gazelleExcelExporterJboss7.export('globalPanel:homeCommunityTable:tablePanel:homeCommunityList')}"/>
                    </div>
                </gri:panel>
            </h:form>
        </gri:panel>
        <div class="tableControl">
            <s:link view="/admin/homeCommunity/HomeCommunityList.xhtml" rendered="#{homeCommunityList.previousExists}"
                    value="#{messages.left}#{messages.left} #{messages['net.ihe.gazelle.xdstar.FirstPage']}"
                    id="firstPage">
                <f:param name="firstResult" value="0"/>
            </s:link>
            <s:link view="/admin/homeCommunity/HomeCommunityList.xhtml" rendered="#{homeCommunityList.previousExists}"
                    value="#{messages.left} #{messages['net.ihe.gazelle.xdstar.PreviousPage']}" id="previousPage">
                <f:param name="firstResult" value="#{homeCommunityList.previousFirstResult}"/>
            </s:link>
            <s:link view="/admin/homeCommunity/HomeCommunityList.xhtml" rendered="#{homeCommunityList.nextExists}"
                    value="#{messages['net.ihe.gazelle.xdstar.NextPage']} #{messages.right}" id="nextPage">
                <f:param name="firstResult" value="#{homeCommunityList.nextFirstResult}"/>
            </s:link>
            <s:link view="/admin/homeCommunity/HomeCommunityList.xhtml" rendered="#{homeCommunityList.nextExists}"
                    value="#{messages['net.ihe.gazelle.xdstar.LastPage']} #{messages.right}#{messages.right}"
                    id="lastPage">
                <f:param name="firstResult" value="#{homeCommunityList.lastFirstResult}"/>
            </s:link>
        </div>
        <s:div styleClass="actionButtons" rendered="#{empty from}">
            <s:button id="create"
                      value="#{messages['net.ihe.gazelle.xdstar.Create']} #{messages['net.ihe.gazelle.xdstar.HomeCommunity_3']}"
                      view="/admin/homeCommunity/HomeCommunityEdit.xhtml" styleClass="gzl-btn-green"/>
        </s:div>
    </ui:define>
</ui:composition>
